Name:           libnet
Version:        1.3
Release:        2
Summary:        A C library to help with construction and handling of network packets
License:        BSD-2-Clause and BSD-3-Clause
URL:            https://github.com/libnet/libnet
Source:         https://github.com/libnet/libnet/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  automake autoconf libtool doxygen graphviz

%description
Libbet provides a fairly portable framework for network packet
construction an injuction.

%package        devel
Summary:        Development files for the libnet library
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains libraries and header files.

%package        help
Summary:        Documentation files for the libnet library
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    help
This package contains help documents.

%prep
%autosetup -p1

rm -rf __dist_sample
mkdir __dist_sample
cp -a sample __dist_sample

%build
%configure
%make_build

%install
%make_install INSTALL='install -p'
%delete_la_and_a

rm -rf __dist_sample/sample/win32
rm -f __dist_sample/sample/Makefile.{am,in}
sed -e 's@#include "../include/libnet.h"@#include <libnet.h>@' \
  __dist_sample/sample/libnet_test.h > __dist_sample/sample/libnet_test.h.new
touch -cr __dist_sample/sample/libnet_test.h{,.new}
mv -f __dist_sample/sample/libnet_test.h{.new,}

rm -f doc/html/Makefile*

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license LICENSE
%{_libdir}/%{name}.so.*

%files devel
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_bindir}/%{name}-config
%{_includedir}/%{name}/
%{_includedir}/libnet.h

%files help
%doc README.md ChangeLog.md doc/MIGRATION.md doc/RAWSOCKET.md
%doc doc/html/
%doc %{_docdir}/*
%{_mandir}/man1/%{name}*.1*
%{_mandir}/man3/%{name}*.3*

%changelog
* Wed Jun 05 2024 zhangpan <zhangpan103@h-partners.com> - 1.3-2
- delete redundant files

* Wed Dec 27 2023 lvgenggeng <lvgenggeng@uniontech.com> - 1.3-1
- Update to version 1.3

* Fri Aug 05 2022 liukuo <liukuo@kylinos.cn> - 1.2-2
- License compliance rectification

* Wed Jul 29 2020 Shinwell Hu <micromotive@qq.com> - 1.2-1
- libnet requires doxygen and graphviz to build document

* Tue Jun 02 2020 SimpleUpdate Robot <tc@openeuler.org> - 1.2-0
- Update to version 1.2

* Tue  Sep 17 2019 Yiru Wang <wangyiru1@huawei.com> - 1.1.6-17
- Pakcage init
